## pacemaker 2.0.4

=== debian/changelog ===
pacemaker (2.0.4-2ubuntu3.2) groovy; urgency=medium

  * d/rules: Rebuild with QB_KILL_ATTRIBUTE_SECTION to overcome a problem in
    libqb (LP: #1915828)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Thu, 04 Mar 2021 10:52:40 +0100

pacemaker (2.0.4-2ubuntu3.1) groovy-security; urgency=medium

  * SECURITY UPDATE: ACL restrictions bypass
    - debian/patches/CVE-2020-25654-*.patch: restrict IPC connections.
    - CVE-2020-25654

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Oct 2020 08:48:48 -0400

pacemaker (2.0.4-2ubuntu3) groovy; urgency=medium

  * Post 2.0.4 features: on-fail=demote & no-quorum-policy=demote
    (LP: #1896223). Added debian/patches/ubuntu/lp1896223-*:
    - [c4429d86e] Log: scheduler: downgrade "active on" messages to trace
    - [01c5ec67e] Low: scheduler: match initial no-quorum-policy struct value
    - [015b5c012] Doc: Pacemaker Explained: document no-quorum-policy=demote
    - [5d809e136] Test: scheduler: add regression test
    - [b1ae35938] Feature: scheduler: support "demote" choice
    - [0b6834453] Refactor: scheduler: functionize checking quorum policy
    - [d4b9117e7] Doc: Pacemaker Explained: correct on-fail default
    - [204961e95] Doc: Pacemaker Explained: document new on-fail="demote"
    - [d29433ea5] Test: scheduler: add regression tests for on-fail="demote"
    - [874f75e0f] Feature: scheduler: new on-fail="demote" recovery policy
    - [2f1e2df1f] Feature: xml: add on-fail="demote" option to resources
    - [fd55a6660] Doc: libpacemaker: improve comments for resource state
    - [98c3b649f] Log: libpacemaker: check for re-promotes specifically
    - [ff6aebecf] Doc: libpacemaker: improve comments when logging actions
    - [f2d244bc4] Test: scheduler: test forcing a restart instead of reload
    - [a4d6a20a9] Low: libpacemaker: don't force stop when skipping reload
    - [8dceba792] Refactor: scheduler: use more appropriate types in a couple
    - [ef246ff05] Fix: scheduler: disallow on-fail=stop for stop operations
    - [f1f71b3f3] Refactor: scheduler: functionize comparing on-fail values

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 22 Sep 2020 17:51:03 +0000

pacemaker (2.0.4-2ubuntu2) groovy; urgency=medium

  * debian/rules: Fix FTBFS in ppc64el: gcc10 related warnings as errors
  * Post 2.0.04 release fixes backported to Ubuntu (LP: #1895883)
    debian/patches/ubuntu/lp1895883-*:
    - [055d7e4e] Low: libcib: Fix building if the gnutls library is not
    - [67174c53] Build: configure: Conditionalize check for $PYTHON.
    - [47c3e06b] Fix: libpacemaker: Don't allow a potential NULL in a format
    - [ea7469cb] Low: resources: don't check host-specific conditions in
    - [7056ae08] Fix: libcrmcommon: Set out->priv to NULL in free_priv.
    - [37791529] Fix: libcrmcommon: Make reset and finish work more similarly.
    - [b655c039] Fix: tools: Add the http-equiv header to crm_mon at the right
    - [0f8e4ca5] Fix: tools, libcrmcommon: Reopen the output dest on reset.
    - [24dd01c3] Fix: cts: Use a different grep in building the cts-cli
    - [36cf9284] Fix: cts: Use --node instead of --host as crm_resource
    - [5c111adf] Fix: libpe_status: Destroy hash table after use
    - [dc341923] cluster: Close corosync handles when they disconnect
    - [3a88b2b6] Refactor: tools: rename function in cibsecret to be more

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 17 Sep 2020 21:19:52 +0000

pacemaker (2.0.4-2ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1886546). Remaining changes:
    - Dropped: debian/patches/pacemaker_is_partof_corosync.patch:
      Disagreement among Debian and Ubuntu about service dependencies.
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root
    - Make crmsh the default management tool for now (LP #1862947)
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
  * Dropped (from Ubuntu):
    - Post 2.0.3 release fixes backported to Ubuntu (LP #1870235)
      debian/patches/ubuntu-2.0.3-fixes/:
      - lp1870235-0a8e789f9-Fix-libpengine-Options-should-be-uint.patch
      - lp1870235-186042bcb-Ref-libcrmservice-SIGCHLD-handling.patch
      - lp1870235-28bfd00e9-Low-libcrmservice-handle-child-wait-errors.patch
      - lp1870235-426f06cc0-Fix-tools-Fix-curses_indented_printf.patch
      - lp1870235-4f5207a28-Fix-tools-Correct-crm_mon-man-page.patch
      - lp1870235-5afe84e45-Fix-libstonithd-validate-arg-non-const.patch
      - lp1870235-c98987824-Fix-iso8601-Fix-crm_time_parse_offset.patch
      - lp1870235-dec326391-Log-libcrmcommon-correct-log-line-length.patch
      - lp1870235-e35908c79-Log-libcrmservice-impr-msgs-wait-child.patch
      - lp1870235-eaaa20949-Fix-libstonithd-tools-Fix-arg-stonith-event.patch
      - lp1870235-f0fe45806-Fix-scheduler-cluster-maint-mode-true.patch
      [in Debian Pacemaker-2.0.4]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 06 Jul 2020 19:04:45 +0000

pacemaker (2.0.4-2) unstable; urgency=medium

  * [a0fdbb5] The special libqb symbols aren't present on PowerPC architectures

 -- Ferenc Wágner <wferi@debian.org>  Mon, 22 Jun 2020 18:08:57 +0200

pacemaker (2.0.4-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * [30838df] Omit pacemaker-resource-agents on Ubuntu/i386

  [ Ferenc Wágner ]
  * [bc43eed] New upstream release (2.0.4) (Closes: #959593)
  * [a4e8629] Drop upstreamed patch, refresh the rest
  * [42ee58f] Enable CIB secrets and ship the cibsecret tool
  * [13be83d] Update Standards-Version to 4.5.0 (no changes required)
  * [90d9610] New patch: libpacemaker calls into libstonithd directly
  * [61500a3] The obsolete ACL document was removed altogether.

