=== debian/changelog ===
pacemaker (2.0.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * [0e95220] Drop superfluous build dependencies
    dctrl-tools: after merging the dev packages check_header_deps was
    dropped in 2.0.1~rc2-2 (7c66cac).
    libesmtp-dev, libsnmp-dev, libsensors-dev: upstream dropped SMTP and
    SNMP support from crm_mon in Pacemaker 2 (1f73748, f24bdc6)
    (Closes: #979368)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 08 Jan 2021 19:47:14 +0100

pacemaker (2.0.5-1) unstable; urgency=medium

  * [b0f97de] New upstream release (2.0.5)
  * [a7725e6] libqb 2 dropped the linker magic injecting start/stop symbols

 -- Ferenc Wágner <wferi@debian.org>  Sat, 26 Dec 2020 18:25:28 +0100

pacemaker (2.0.5~rc3-1) unstable; urgency=medium

  * [6037de8] Add CVE-2020-25654 reference to changelog
  * [8633b12] New upstream pre-release (2.0.5~rc3)
  * [280e76f] Update Standards-Version to 4.5.1 (no changes required)
  * [fa41836] New patch: Always run Inkscape under the C.UTF-8 locale

 -- Ferenc Wágner <wferi@debian.org>  Wed, 18 Nov 2020 22:45:27 +0100

pacemaker (2.0.5~rc2-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * [0f1033e] Skip autopkgtest for unprivileged containers: (LP: #1828228)
    + d/t/control: mark pacemaker test as skippable
    + d/t/pacemaker: skip if memlock can't be set to unlimited by root

  [ Ferenc Wágner ]
  * [34f6376] pacemaker-dev should pull in libpacemaker1, too
  * [039f205] The pacemaker-dev transition completed in buster
  * [800ae5e] Clean up remnants of long finished reorganizations
  * [0f0340c] pacemaker-dev in buster replaced its old dependencies from wheezy
  * [6956006] New upstream pre-release (2.0.5~rc2) (Closes: #973254)
    Contains fix for CVE-2020-25654.
  * [6b30c82] Delete upstreamed patch, refresh the rest
  * [8e78417] Tie skipping the autopkgtest to the concrete Corosync error.
    While unlimited memory lock is a good test for privileges, it isn't
    critical for Corosync.  Trigger on a specific error message instead,
    hint at a possible workaround and document the actual requirements.
  * [f184e2c] Update symbols files.
    See 4bcf7eb for the reasoning behind the two renamed symbols which
    weren't obviously internal: crm_config_error and crm_config_warning.
  * [0031784] Pacemaker and pacemaker-remote provide Conflicting functions.
    Breaks without a version was always suspicious to Lintian, and I've got
    no strong opinion on this specific case, so be it.
  * [2a33943] Replace the now-transitional build dep with libncurses-dev
  * [8662ee0] Add missing pkg-config dependencies (Closes: #963791)
  * [912a22b] New autopkgtest for pkg-config completeness
  * [5033800] Upgrade watch file to version 4 (no changes needed)

 -- Ferenc Wágner <wferi@debian.org>  Tue, 10 Nov 2020 23:02:55 +0100
