=== debian/rules ===
--- 
+++ 
@@ -17,25 +17,6 @@
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
 endif
-
-# https://bugs.launchpad.net/bugs/1915828
-#
-# Programs using libqb logging exit due to failed assertion on qb log init.
-#
-# The libqb docs do contain two suggestions to possibly work around this bug,
-# specifically using either -l:libqb.so.0 or -DQB_KILL_ATTRIBUTE_SECTION, or
-# both. Either or both approaches do help with the simple test case, but more
-# testing is needed that actually exercises the log functionality to make sure
-# nothing else breaks.
-CFLAGS = -DQB_KILL_ATTRIBUTE_SECTION
-
-# ftime causes deprecation errors now, but the clock_gettime replacement is
-# disabled by default in 2.0.3. Enable it.
-CPPFLAGS = -UPCMK_TIME_EMERGENCY_CGT
-
-# Fix gcc10 warnings as errors while upstream doesn't catch up
-export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
-export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@ --with python3 $(UBUNTU_EXCLUDES)
