## pacemaker 2.1.1

=== debian/changelog ===
pacemaker (2.1.1-2) unstable; urgency=medium

  * [3f13edc] Move python3-sphinx into Build-Depends because we always load the
    sphinxdoc dh addon

 -- Ferenc Wágner <wferi@debian.org>  Tue, 26 Oct 2021 16:06:03 +0200

pacemaker (2.1.1-1) unstable; urgency=medium

  * [50d06e9] New upstream release (2.1.1) (Closes: #997295)
  * [50e341f] Refresh our patches
  * [1762b8b] Pacemaker 2.1.0 already installs the default file itself
  * [8a161be] Pacemaker 2.1.0 generates its documentation with Sphinx
  * [5205498] Employ dh_sphinxdoc to fix up the packaged documentation
  * [8294103] autogen.sh does more than autoreconf -f -i now
  * [808de7c] We can't use the -z defs linker option anymore
  * [7ea9dcf] Pacemaker 2.1.0 dropped the obsolete and broken pingd resource
    agent
  * [7c46052] Ship /etc/default/crm_mon
  * [39e7687] Force dh_install to work with the installed files
  * [a4c3b58] Update symbols files (all removed symbols were documented
    internal)
  * [b4e5212] Upgrade Standards-Version to 4.6.0 (no changes required)
  * [62d2e6f] Follow the Pacemaker init script with the copyright file
  * [e197ba4] Untabify the copyright file
  * [d9662f6] New patch: Fix OCF_RA_PATH Autoconf variable name in pkg-config
    files

 -- Ferenc Wágner <wferi@debian.org>  Mon, 25 Oct 2021 12:29:49 +0200
