=== debian/control ===
--- 
+++ 
@@ -30,6 +30,8 @@
  libxslt1-dev,
  pkg-config,
  python3,
+# not in Build-Depends-Indep because we always load the sphinxdoc dh addon:
+ python3-sphinx,
  systemd [linux-any],
  uuid-dev,
 # detecting docbook-xsl needs:
@@ -39,9 +41,8 @@
  doxygen,
  graphviz,
  inkscape,
- publican,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -156,6 +157,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: cluster resource manager HTML documentation
  ${S:X-Common-Description}
  .
