=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Ensure that we link against all needed libraries (cf. Policy 10.2)
-# This needs adding libraries to libpengine_la_LIBADD
+# We can't ensure that we link against all needed libraries (cf. Policy 10.2),
+# because libpe_status uses get_object_root from libcib and libcib uses
+# symbols from libpe_rules, which is built in the same subdir.
 # Not upstreamed, see https://github.com/ClusterLabs/pacemaker/pull/800
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
+#export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
 
 # Ubuntu/i386 shrank into a compatibility layer not carrying the
 # dependencies of some of our binary packages (#948379):
@@ -19,14 +20,16 @@
 endif
 
 %:
-	dh $@ --with python3 $(UBUNTU_EXCLUDES)
+	dh $@ --with python3,sphinxdoc $(UBUNTU_EXCLUDES)
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 # Explicit BASH_PATH makes build reproducible on merged-usr vs non-merged:
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static \
 		BASH_PATH=/bin/bash \
 		PYTHON=/usr/bin/python3 \
-		--with-brand=clusterlabs \
 		--with-cibsecrets \
 		--with-configdir=/etc/default \
 		--libexecdir=/usr/lib
