## pacemaker 2.1.2

=== debian/changelog ===
pacemaker (2.1.2-1ubuntu3.1) jammy; urgency=medium

  * d/p/jammy-avoid-double-free-during-notify-operation.patch:
    Fix a regression introduced by 31c7fa8, causing a double-free in
    notify operations (LP: #2012740)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Fri, 31 Mar 2023 20:55:24 +0200

pacemaker (2.1.2-1ubuntu3) jammy; urgency=medium

  * d/control: make pacemaker-cli-utils depend on resource-agents-base.
    resource-agents is now a transitional package and it should not be in
    main (it also pulls in resource-agents-extra which should be in
    universe).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 30 Mar 2022 11:32:14 -0300

pacemaker (2.1.2-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:16:58 +0000

pacemaker (2.1.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946885). Remaining changes:
    - Make crmsh the default management tool for now (LP #1862947)
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
  * Dropped:
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
      [in 2.1.2 by upstream]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Dec 2021 15:41:12 -0300

pacemaker (2.1.2-1) unstable; urgency=medium

  * [eeac038] New upstream release (2.1.2)
  * [778f02f] Drop upstreamed patch, refresh the rest
  * [183c1cf] Ship the init scripts from the build tree
  * [370b42b] Ship the fence_watchdog agent
  * [c967f7f] Update symbols files (all removed symbols were internal)
  * [7b76a3a] Use the provided ${sphinxdoc:Built-Using}

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Nov 2021 17:50:32 +0100

pacemaker (2.0.5-2ubuntu3) impish; urgency=medium

  * d/t/pacemaker: corosync uses uname -n to define the default node name.
    Previously the default node name was hardcoded in the config file as
    node1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 23 Jun 2021 09:17:38 -0300

pacemaker (2.0.5-2ubuntu2) impish; urgency=medium

  * Adjust dependency relations with the {fence,resource}-agents packages. The
    following changes were applied in debian/control:
    - Make pacemaker binary recommend fence-agents-base.
    - Make pacemaker-resource-agents depend on resource-agents-base.
      Also suggest resource-agents-extra with non-curated agents.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 05 May 2021 17:04:36 -0300

pacemaker (2.0.5-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - Make crmsh the default management tool for now (LP #1862947)
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
  * Dropped:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root
      [fixed in Debian]
    - Post 2.0.04 release fixes backported to Ubuntu (LP #1895883)
      debian/patches/ubuntu/lp1895883-*:
      + [055d7e4e] Low: libcib: Fix building if the gnutls library is not
      + [67174c53] Build: configure: Conditionalize check for $PYTHON.
      + [47c3e06b] Fix: libpacemaker: Don't allow a potential NULL in a format
      + [ea7469cb] Low: resources: don't check host-specific conditions in
      + [7056ae08] Fix: libcrmcommon: Set out->priv to NULL in free_priv.
      + [37791529] Fix: libcrmcommon: Make reset and finish work more similarly.
      + [b655c039] Fix: tools: Add the http-equiv header to crm_mon at the right
      + [0f8e4ca5] Fix: tools, libcrmcommon: Reopen the output dest on reset.
      + [24dd01c3] Fix: cts: Use a different grep in building the cts-cli
      + [36cf9284] Fix: cts: Use --node instead of --host as crm_resource
      + [5c111adf] Fix: libpe_status: Destroy hash table after use
      + [dc341923] cluster: Close corosync handles when they disconnect
      + [3a88b2b6] Refactor: tools: rename function in cibsecret to be more
      [applied by upstream]
    - Post 2.0.4 features: on-fail=demote & no-quorum-policy=demote
      (LP #1896223). Added debian/patches/ubuntu/lp1896223-*:
      + [c4429d86e] Log: scheduler: downgrade "active on" messages to trace
      + [01c5ec67e] Low: scheduler: match initial no-quorum-policy struct value
      + [015b5c012] Doc: Pacemaker Explained: document no-quorum-policy=demote
      + [5d809e136] Test: scheduler: add regression test
      + [b1ae35938] Feature: scheduler: support "demote" choice
      + [0b6834453] Refactor: scheduler: functionize checking quorum policy
      + [d4b9117e7] Doc: Pacemaker Explained: correct on-fail default
      + [204961e95] Doc: Pacemaker Explained: document new on-fail="demote"
      + [d29433ea5] Test: scheduler: add regression tests for on-fail="demote"
      + [874f75e0f] Feature: scheduler: new on-fail="demote" recovery policy
      + [2f1e2df1f] Feature: xml: add on-fail="demote" option to resources
      + [fd55a6660] Doc: libpacemaker: improve comments for resource state
      + [98c3b649f] Log: libpacemaker: check for re-promotes specifically
      + [ff6aebecf] Doc: libpacemaker: improve comments when logging actions

