=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -72,8 +73,10 @@
 Depends:
 # some agents use top:
  procps,
- resource-agents,
- ${misc:Depends},
+ resource-agents-base,
+ ${misc:Depends},
+Suggests:
+ resource-agents-extra
 Description: cluster resource manager general resource agents
  ${S:X-Common-Description}
  .
@@ -86,6 +89,7 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
+ crmsh,
  dbus,
 # the init script sources /lib/lsb/init-functions:
  lsb-base (>= 3.0-6),
@@ -95,12 +99,13 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- fence-agents,
+ fence-agents-base,
  pacemaker-cli-utils,
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- crmsh | pcs,
+ pcs,
+ fence-agents-extra,
 Conflicts:
  pacemaker-remote,
 Description: cluster resource manager
@@ -114,7 +119,7 @@
 Depends:
  pacemaker | pacemaker-remote,
 # cibsecret sources ocf-shellfuncs:
- resource-agents,
+ resource-agents-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -158,6 +163,8 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: cluster resource manager HTML documentation
  ${S:X-Common-Description}
  .
