=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
 endif
+
+# Fix gcc10 warnings as errors while upstream doesn't catch up
+export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
+export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@ --with python3,sphinxdoc $(UBUNTU_EXCLUDES)
@@ -50,13 +54,16 @@
 		debian/tmp/usr/share/doc/pacemaker/COPYING \
 		debian/tmp/usr/share/doc/pacemaker/README.markdown \
 		debian/tmp/usr/share/doc/pacemaker/licenses
+	# The init scripts aren't installed since 2.1.2 (ac768052) when using systemd:
+	install -d debian/tmp/etc/init.d
+	install -t debian/tmp/etc/init.d etc/init.d/pacemaker daemons/execd/pacemaker_remote
 	dh_install
 
 override_dh_installdocs:
 	dh_installdocs -A README.markdown
 
 override_dh_installinit:
-# Upstream ships the pacemaker and pacemaker-remote init files,
+# Upstream provides pacemaker and pacemaker-remote init files,
 # so we have to force the maintainer script modifications
 	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker
 	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker-remote --name=pacemaker_remote
