## pacemaker 2.1.4

=== debian/changelog ===
pacemaker (2.1.4-2ubuntu2) lunar; urgency=medium

  * d/control: depend on pcs and suggest crmsh (LP: #2011481).
    Pull pcs into main instead of crmsh.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 13 Mar 2023 18:13:36 -0300

pacemaker (2.1.4-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971307). Remaining changes:
    - Make crmsh the default management tool for now (LP #1862947)
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base.
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 03 Aug 2022 15:53:10 -0300

pacemaker (2.1.4-2) unstable; urgency=medium

  * [e95d387] New patch: strings.c: don't rely on strcmp() returning one-byte
    values
  * [220a320] Switch to declarative dh addons to help cross building and reduce
    repetition

 -- Ferenc Wágner <wferi@debian.org>  Thu, 21 Jul 2022 23:20:11 +0200

pacemaker (2.1.4-1) unstable; urgency=medium

  * [d438568] New upstream release (2.1.4)
  * [2209cff] Drop upstreamed patch, refresh the rest
  * [e998d4f] Update symbols files (all removed symbols were internal)
  * [7bb33d2] Unit tests behave sanely now, so enable them
  * [66c4a13] Update Standards-Version to 4.6.1 (no changes required)
  * [da83f59] Switch to Debhelper compatibility level 13
  * [80f96ac] Handle not-installed files declaratively
  * [f0668c5] Ship Doxygen output explicitly and declaratively
  * [7f6b9f9] Ship init scripts straight from the build tree
  * [5d56cf9] Upstream now properly cleans up after building the documentation.
    This effectively reverts 7443ebc66e285801da9160854ff3fed0be423632,
    because upstream commit 6af89fe48a776b0c26451d780b5234ea9c586773 made
    it unnecessary.
  * [58e1598] Link against all needed libraries.
    Revert 808de7cc4952bceb71c158d6fd09157646ce11b1, because the upstream
    code reorganization ending in ca25b4e9a49e8153b4d0ac15eddcf6a45b212269
    removed the obstacle.
    https://bugs.clusterlabs.org/show_bug.cgi?id=5488
  * [6f827b3] Move crm_attribute into the pacemaker-cli-utils package.
    Mirror upstream commit 57ce5b5eb0754c19e827f1c915d9355ad0727444 (it no
    longer uses libcrmcluster).
  * [ef179c8] Recommend pacemaker-cli-utils from pacemaker-resource-agents.
    Because the ClusterMon and Stateful agents use crm_mon/crm_attribute
    respectively.
  * [c046399] New patch: Fix typos: resouce -> resource

 -- Ferenc Wágner <wferi@debian.org>  Sun, 03 Jul 2022 16:03:21 +0200
