=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  cluster-glue-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
- dh-python,
 # resource agent man pages are generated via:
  docbook-xsl,
  help2man,
@@ -18,6 +17,8 @@
  libcfg-dev (>= 1.99),
  libcmap-dev (>= 1.99),
  libcpg-dev (>= 1.99),
+# for unit tests:
+ libcmocka-dev,
  libdbus-1-dev,
  libglib2.0-dev,
  libgnutls28-dev,
@@ -30,20 +31,20 @@
  libxml2-utils,
  libxslt1-dev,
  pkg-config,
- python3,
-# not in Build-Depends-Indep because we always load the sphinxdoc dh addon:
- python3-sphinx,
+ dh-sequence-python3,
  systemd [linux-any],
  uuid-dev,
 # detecting docbook-xsl needs:
  xsltproc,
 Build-Depends-Indep:
  asciidoc,
+ dh-sequence-sphinxdoc,
  doxygen,
  graphviz,
  inkscape,
+ python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -75,6 +76,9 @@
  procps,
  resource-agents-base,
  ${misc:Depends},
+Recommends:
+# the ClusterMon and Stateful agents use crm_* utilities:
+ pacemaker-cli-utils,
 Suggests:
  resource-agents-extra
 Description: cluster resource manager general resource agents
@@ -89,7 +93,7 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
- crmsh,
+ pcs,
  dbus,
 # the init script sources /lib/lsb/init-functions:
  lsb-base (>= 3.0-6),
@@ -104,7 +108,7 @@
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- pcs,
+ crmsh,
  fence-agents-extra,
 Conflicts:
  pacemaker-remote,
@@ -125,8 +129,11 @@
 Breaks:
 # took over cibsecret from cluster-glue:
  cluster-glue (<< 1.0.12-18~),
+# took over crm_attribute:
+ pacemaker (<< 2.1.4-1~),
 Replaces:
  cluster-glue (<< 1.0.12-18~),
+ pacemaker (<< 2.1.4-1~),
 Description: cluster resource manager command line utilities
  ${S:X-Common-Description}
  .
