## pacemaker 2.1.5

=== debian/changelog ===
pacemaker (2.1.5-1+deb12u1) bookworm; urgency=medium

  * [0c22be8] New patches fixing migration regression.
    Backport of https://github.com/ClusterLabs/pacemaker/pull/3020/ to
    Pacemaker 2.1.5 (without the CTS changes, which we don't ship):
    5754a2af9 Refactor: scheduler: improve xpath efficiency when unpacking
    3f6f524f1 Low: scheduler: unknown_on_node() should ignore pending actions
    ad9fd9548 Fix: scheduler: handle cleaned migrate_from history correctly
    The starting refactor is required by the other two patches, but the
    third patch still needed backporting.
    Thanks to Ken Gaillot (Closes: #1040165)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 09 Jul 2023 23:10:45 +0200

pacemaker (2.1.5-1) unstable; urgency=medium

  * [5792d59] Work around lazy loading of GitHub release pages in watch file
  * [52462d8] New upstream release (2.1.5)
  * [06b5497] Delete upstreamed patch, refresh the rest
  * [9829fc0] Update Standards-Version to 4.6.2 (no changes required)
  * [7768ecb] Add debian/upstream/metadata
  * [629aab5] Update debian/copyright.
    Update the years, indicate LGPL of *.po files and give up on
    enumerating all contributors.
  * [9b7d008] The SystemHealth resource agent was dropped upstream.
    See commit 8e0512e: it was non-functional anyway.
  * [c905af5] Update symbols files (all removed symbols were internal)
  * [b0a5c7b] pacemaker-cli-utils.NEWS was six years old, nothing new
  * [a255a3e] Reduce Lintian noise
  * [7a70bd7] Drop the obsolete lsb-base dependency
    sysvinit-utils_3.05-1 took over /lib/lsb/init-functions from lsb-base,
    which became an empty transitional package.  Sysvinit-utils is
    essential now, so we needn't depend on it explicitly, but if that ever
    changes (see #851747) the sysvinit-core package will still depend on
    it, providing the function library to our init scripts if they have a
    real chance to execute.  (The compatibility layer of systemd won't try
    to use the init scripts, because we provide native systemd units.)
    This change is unsuitable for bullseye backports.

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Jan 2023 16:38:34 +0100
