=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -44,7 +43,7 @@
  inkscape,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -74,13 +73,11 @@
 Depends:
 # some agents use top:
  procps,
- resource-agents-base,
+ resource-agents,
  ${misc:Depends},
 Recommends:
 # the ClusterMon and Stateful agents use crm_* utilities:
  pacemaker-cli-utils,
-Suggests:
- resource-agents-extra
 Description: cluster resource manager general resource agents
  ${S:X-Common-Description}
  .
@@ -93,23 +90,19 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
- pcs,
  dbus,
-# the init script sources /lib/lsb/init-functions:
- lsb-base (>= 3.0-6),
  pacemaker-common,
  pacemaker-resource-agents,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- fence-agents-base,
+ fence-agents,
  pacemaker-cli-utils,
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- crmsh,
- fence-agents-extra,
+ crmsh | pcs,
 Conflicts:
  pacemaker-remote,
 Description: cluster resource manager
@@ -123,7 +116,7 @@
 Depends:
  pacemaker | pacemaker-remote,
 # cibsecret sources ocf-shellfuncs:
- resource-agents-base,
+ resource-agents,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -145,8 +138,6 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
-# the init script sources /lib/lsb/init-functions:
- lsb-base (>= 3.0-6),
  pacemaker-common,
  pacemaker-resource-agents,
  ${misc:Depends},
