=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
 endif
-
-# Fix gcc10 warnings as errors while upstream doesn't catch up
-export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
-export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@ $(UBUNTU_EXCLUDES)
