=== debian/tests/control ===
Tests: pacemaker
Depends: pacemaker, pacemaker-cli-utils
Restrictions: needs-root, isolation-container, skippable

Tests: pkg-config
Depends: pacemaker-dev, pkg-config
Restrictions: superficial
